//****************************************************************************
//  Copyright ElectricRR - 2013
// This file is part of the OFST controller system.
//
//    OFST is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    OFST is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//   along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
//
// MODULE NAME:	eeprom.h
//
// Revision:	1.0
//
// DESCRIPTION: Function prototypes for eeprom.c
//
//*****************************************************************************

#ifndef eeprom_h
#define eeprom_h


/* constants */
#define EE_DATA_LOCATION 		0x10		// starting address of persistant data
#define CHECKSUM_VALUE 			0xBEEF		// signature string

/* exports */
extern struct EEPROM ee_data;

/* structures / unions */
typedef struct EEPROM {
	uint  checksum;

	// ditch lights state
	uchar ditch_light_flags;

	// end of checksum controlled EE marker
	uchar end_marker;
};


/* exports */
void  Init_EEData();
void  Reset_All_EEData();
void  Reset_Diag_EEData();

/* function prototypes */
uchar ReadPersistantData();
uchar WritePersistantData(uchar);


#endif // eeprom_h
