//****************************************************************************
//  Copyright ElectricRR - 2013
// This file is part of the OFST controller system.
//
//    OFST is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    OFST is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//   along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
//
// MODULE NAME:	globals.h
//
// Revision:	1.0
//
// DESCRIPTION: Global variables used in globals.c
//
//*****************************************************************************

#ifndef globals_h
#define globals_h


/* constants */


/* exports */
extern uchar SerData;				// lower 8 bits of serial data
extern uchar Com9bit;				// high 9th bit of serial data

/* structures / unions */
extern struct TCB tcb_data;

struct TCB {
	uchar cmnd_mode_detected;		// cmd mode detected

	uchar engine_train;				// engine = 0, train = 1
	uchar lashup_position;			// train position
	uchar forward_reverse;			// forward = 0, reverse = 1

	uchar motion_active;			// speed step > 0
};


/* function prototypes */
void  Init_TCBData();
uint  Sample_ADC_Channel(uchar);


#endif  // globals_h


