//****************************************************************************
//  Copyright ElectricRR - 2013
// This file is part of the OFST controller system.
//
//    OFST is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    OFST is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//   along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
//
// MODULE NAME:	lights.h
//
// Revision:	1.0
//
// DESCRIPTION: Function prototypes for lights.c
//
//*****************************************************************************

#ifndef lights_h
#define lights_h


/* ports */
#define LED_ONE				RC2		// emitter follower 1
#define LED_TWO				CCPR2L	// emitter follower 2
#define LED_THREE			RC4		// emitter follower 3


/* constants */
#define HORN_TIME 			600		// 3 sec Ditch Lamp OSC time
#define DITCH_TIME  		70		// 350ms for ditch lights flash time
#define DITCH_PERIOD		150		// 700ms for ditch lights period

#define COACH_LIGHTS_DIM	0x30	// COACH cabin lights DIM setting
#define COACH_LIGHTS_BRITE	0xF0	// COACH cabin lights BRITE setting

// lighting controls
#define DITCH_OFF			0x00
#define DITCH_OFF_PULSE_ON	0x01
#define DITCH_ON_PULSE_OFF	0x02
#define DITCH_ON			0x03


/* exports */
void Init_Lights();
void Light_Process();
void Light_Command_Decoder(uchar);

/* function prototypes */

void CabinLightCtl();
void DitchLightCtl();
void DitchLightMgr();

void Service_Lamp_Timers();


#endif // lights_h


