//****************************************************************************
//  Copyright ElectricRR - 2013
// This file is part of the OFST controller system.
//
//    OFST is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    OFST is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//   along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
//
// MODULE NAME:	main.h
//
// Revision:	1.0
//
// DESCRIPTION: Function prototypes for main.c
//
//*****************************************************************************

#ifndef main_h
#define main_h


/*******************************/
/*  compiler message controls  */
/*******************************/
#pragma warning disable 1395		// disable compiler debug messages
#pragma warning disable  345		// disable unreachable code messages

/*******************************/
/* conditional compile options */
/*******************************/
//
// none defined
// TBD: -> search string for incomplete code


/* common typedefs */
typedef signed   char schar;
typedef unsigned char uchar;
typedef signed   int  sint;
typedef unsigned int  uint;
typedef signed   long slong; 
typedef unsigned long ulong;

/* common structures / unions */
struct hilo {
	uchar lo;
    uchar hi;
};

union _address {
	struct hilo byte;
    uint        word;
};

/* constants */
#define	TASK_LOOP for (;;)

#define FALSE			0
#define TRUE 			1

#define OFF				0
#define	ON				1

#define CLOSED			0
#define OPEN			1

#define	FORWARD			0
#define REVERSE 		1

#define STOPPED			0
#define MOVING			1

#define DIESEL			0
#define STEAMER			1
#define SUBWAY			2


/* PORTS */
#define BELL_OFFSET			RC0		// internal bell offset
#define HORN_OFFSET			RC1		// internal horn offset

#define PROC_RA0			RA0		// DAT pin, I/O
#define PROC_RA1			RA1		// CLK pin, I/O
#define GPIO_ONE			RA2		// open collector
#define PROC_RA4			RA4		// test point via


/* clock settings */
#define BAUD3030	82				// RS baud clock rate
#define TMR0_RATE	(0 - 125)		// count for 1msec prescale /32
#define _XTAL_FREQ 	16000000L		// system clock frequency


/* function prototypes */
void  Init_HW();
void  Mode_Detect();


#endif // main_h
