//****************************************************************************
//  Copyright ElectricRR - 2013
// This file is part of the OFST controller system.
//
//    OFST is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    OFST is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//   along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
//
// MODULE NAME:	serial.c
//
// Revision:	1.0
//
// DESCRIPTION:	Serial I/O routines
//
//*****************************************************************************


/* include files */
#include <htc.h>
#include "main.h"
#include "globals.h"
#include "serial.h"



//******************************************************************************
//
// FUNCTION NAME:	SerialIn
//
// DESCRIPTION:		Serial Input Routine
//
//******************************************************************************

uchar SerialIn()
{
	if (OERR)						// check for overrun error
	{
		CREN = FALSE;				// stop the UART from receiving
		SerData = RCREG;
		SerData = RCREG;
		SerData = RCREG;			// read data to drain the buffer
		CREN = TRUE;				// turn on continual reception
	}

	else if (FERR)					// check for framing error
	{
		SerData = RCREG;			// read data to drain the buffer
	}

	else if (RCIF)					// no errors, check for data ready
	{
		Com9bit = RX9D;				// save the value of the 9th bit for RX
		SerData = RCREG;			// save the data from the register
		return TRUE;
	}

	return FALSE;
}


