//****************************************************************************
//  Copyright ElectricRR - 2013
// This file is part of the OFST controller system.
//
//    OFST is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    OFST is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//   along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
//
// MODULE NAME:	serial.h
//
// Revision:	1.0
//
// DESCRIPTION:	Function prototypes for serial.c
//
//*****************************************************************************

#ifndef serial_h
#define serial_h


/* constants */
#define STATUS_PWR_UP_TIME		20		// 20  * 5msec = 100 msec
#define STATUS_CONV_E_TIME		50		// 50  * 5msec = 250 msec
#define	STATUS_UPDATE_TIME 		400		// 400 * 5msec = 2 sec

#define ENGINE_STATUS_CMD		0xD		// status command 0xD0 - 0xDF
#define ENGINE_LASH_UP_CMD		0x20	// lashup command 0x20 - 0x2F
#define SOUND_MASK_COMMAND		0x5C	// masking command 0x5C - 0x5F

/* structures / unions */


/* exports */
void set_chuff_trigger_on();

void  Serial_XMIT_Process();
void  USART_Transmit(uint);

uchar SerialIn();


/* function prototypes */


#endif  // serial_h


